# Create collections from search terms **POST /case/collections/{caseId}/bulk** Searches the case's messages for the given terms and creates one collection per matching conversation, holding the matching messages. Returns how many collections were created. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Headers - **organization** (string) id of the selected (active) organization ### Path parameters - **caseId** (string) Id of the case ### Body: application/json (object) - **searchTerms** (array[object]) - **paddingMessagesCount** (number) Number of messages to add to the beginning and end of the collection ## Responses ### 201 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)